Skip to content

getChartOfAccounts

READ

Get chart of accounts.

POST /api/v1/accounting/getChartOfAccounts
curl -X POST '<your-host>/api/v1/accounting/getChartOfAccounts' \
  -H 'Authorization: Bearer <api-key>' \
  -H 'Content-Type: application/json' \
  -d '{
    "incomeBalance": "Income Statement",
    "startDate": "string",
    "endDate": "string"
  }'
Response
{
  "results": [
    {
      "netChange": 0,
      "balance": 0,
      "balanceAtDate": 0,
      "accountType": "Bank",
      "active": true,
      "class": "Expense",
      "companyGroupId": "string",
      "consolidatedRate": "Average",
      "createdAt": "string",
      "createdBy": "string",
      "customFields": "…",
      "id": "string",
      "incomeBalance": "Balance Sheet",
      "isGroup": true,
      "isSystem": true,
      "name": "string",
      "number": "string",
      "parentId": "string",
      "tags": [
        "string"
      ],
      "updatedAt": "string",
      "updatedBy": "string"
    }
  ],
  "count": null
}

Parameters

ParameterType
"Income Statement""Balance Sheet"

Input schema

schema
{
  "type": "object",
  "properties": {
    "incomeBalance": {
      "type": [
        "string",
        "null"
      ],
      "enum": [
        "Income Statement",
        "Balance Sheet"
      ]
    },
    "startDate": {
      "type": [
        "string",
        "null"
      ]
    },
    "endDate": {
      "type": [
        "string",
        "null"
      ]
    }
  },
  "required": [
    "incomeBalance",
    "startDate",
    "endDate"
  ]
}